Name:           libgtksourceviewmm
Version:        0.3.1
Release:        7%{?dist}
Summary:        A C++ wrapper for the gtksourceview widget library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://home.gna.org/gtksourceviewmm/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgtksourceviewmm/0.3/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Epoch:          1
Patch0:         libgtksourceviewmm-0.3.1-gcc43.patch

BuildRequires:  gtkmm24-devel, gtksourceview-devel, doxygen


%description
libgtksourceviewmm is a C++ wrapper for the gtksourceview widget 
library. It offers all the power of gtksourceview with an interface 
familiar to c++ developers, including users of the gtkmm library

%package doc
Summary:         Documentation for libgtksourceviewmm
Group:           Documentation
Requires:        %{name}-devel = %{epoch}:%{version}-%{release}


%description doc
This package contains the documentation of the libgtksourceviewmm library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       gtkmm24-devel, gtksourceview-devel, pkgconfig, automake, doxygen

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .gcc43

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%{__rm} -rf docs/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog NEWS
%{_includedir}/gtksourceviewmm-1.0
%{_libdir}/gtksourceviewmm-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_docdir}/libgtksourceviewmm-1.0

%files doc
%defattr(-, root, root, -)
%doc docs/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 29 2010 Haïkel Guémar <karlthered@gmail.com> - 1:0.3.1-6
- Fix source url

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.1-3
- revert to 0.3.1
- set epoch to 1

* Tue Aug 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9.5-1
- update to 1.9.5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.1-2
- Autorebuild for GCC 4.3

* Fri Jun 08 2007 Damien Durand <splinux@fedoraproject.org> - 0.3.1-1
- Upgrade to 0.3.1

* Mon Jan 22 2007 Damien Durand <splinux@fedoraproject.org> - 0.3.0-2
- bump release

* Mon Jan 22 2007 Damien Durand <splinux@fedoraproject.org> - 0.3.0-1
- update to 0.3.0
- initial doc package

* Sat Jan 13 2007 Damien Durand <splinux@fedoraproject.org> - 0.2.0-4
- keeping timestamps

* Fri Jan 12 2007 Damien Durand <splinux@fedoraproject.org> - 0.2.0-3
- add automake and pkgconfig in devel package

* Sat Dec 23 2006 Damien Durand <splinux@fedoraproject.org> - 0.2.0-2
- add libdir/gtksourceviewmm-1.0 in devel package
- add Changelog and NEWS in devel package
- add gtkmm24-devel and gtksourceview-devel in devel package

* Sat Dec 23 2006 Damien Durand <splinux@fedoraproject.org> - 0.2.0-1
- Initial package
